package pageObjects;

import static org.junit.Assert.assertEquals;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.junit.Assert;
import org.openqa.selenium.By;

import org.openqa.selenium.WebDriver;

import org.openqa.selenium.WebElement;

import pageObjects.Page_Abstract;// pour la classe de page des fonctions communes
import pageObjects.Page_Abstract.Selecteur;
import utils.AbstractTest;


public class Page_Home extends AbstractTest{


	private static WebElement element = null;
	private static final Logger logger = LogManager.getLogger("Page_Home");

	public static WebElement cookie_bar(WebDriver driver){

		return element = driver.findElement(By.xpath("//div[@id='cookie-bar']"));		

	}

	public static WebElement cookie_bar_btn_OK(WebDriver driver){

		return element = driver.findElement(By.xpath("//div[@id='cookie-bar']/div/button"));

	}

	public static void verif_titre_home() throws Exception{	
		try{
			assertEquals(driver.getTitle(), "MACIF Assurances, Banque, Sante - Essentiel pour moi");
			}catch(AssertionError e){
			   logger.error(e.toString());
			}
	}

	public static void validation_cookies() throws Exception{    

		if (cookie_bar(driver).isDisplayed()) {			
			cookie_bar_btn_OK(driver).click();
			logger.info("Clic sur OK pour la validation des cookies");
			Thread.sleep(2000);
		}	
	}



	//Controle pr�sence barre d'infos cookies
	//WebElement cookie_bar = driver.findElement(By.xpath("//div[@id='cookie-bar']"));







}
